glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::PatternSpec Class Reference
Glob-style Pattern Matching

`#include <glibmm/pattern.h>`

## Public Member Functions
| PatternSpec (const Glib::ustring& pattern)
| PatternSpec (GPatternSpec* gobject)
| ~PatternSpec () noexcept
| PatternSpec (const PatternSpec&)=delete
PatternSpec& | operator= (const PatternSpec&)=delete
bool | match (const Glib::ustring& str) const
bool | match (const Glib::ustring& str, const Glib::ustring& str_reversed) const
bool | operator== (const PatternSpec& rhs) const
bool | operator!= (const PatternSpec& rhs) const
GPatternSpec* | gobj ()
const GPatternSpec* | gobj () const

## Constructor & Destructor Documentation

Glib::PatternSpec::PatternSpec | ( | const Glib::ustring& | pattern | ) |
| explicit

Glib::PatternSpec::PatternSpec | ( | GPatternSpec * | gobject | ) |
| explicit

Glib::PatternSpec::~PatternSpec | ( |  | ) |
| noexcept

Glib::PatternSpec::PatternSpec | ( | const PatternSpec& |  | ) |
| delete

## Member Function Documentation

GPatternSpec* Glib::PatternSpec::gobj | ( |  | ) |
| inline

const GPatternSpec* Glib::PatternSpec::gobj | ( |  | ) | const
| inline

bool Glib::PatternSpec::match | ( | const Glib::ustring& | str | ) | const

bool Glib::PatternSpec::match | ( | const Glib::ustring& | str,
|  | const Glib::ustring& | str_reversed
| ) |  | const

bool Glib::PatternSpec::operator!= | ( | const PatternSpec& | rhs | ) | const

PatternSpec& Glib::PatternSpec::operator= | ( | const PatternSpec& |  | ) |
| delete

bool Glib::PatternSpec::operator== | ( | const PatternSpec& | rhs | ) | const